Index: enum.c
===================================================================
RCS file: /usr/cvsroot/asterisk/enum.c,v
retrieving revision 1.7
diff -u -r1.7 enum.c
--- enum.c	14 Aug 2003 21:33:49 -0000	1.7
+++ enum.c	2 Sep 2003 13:33:31 -0000
@@ -187,11 +187,17 @@
 	if ((!strncasecmp(services, "e2u+sip", 7)) || 
 	    (!strncasecmp(services, "sip+e2u", 7))) {
 		strncpy(tech, "sip", techsize -1); 
+	} else if ((!strncasecmp(services, "e2u+h323", 8)) || 
+	    (!strncasecmp(services, "h323+e2u", 8))) {
+		strncpy(tech, "h323", techsize -1); 
 	} else if ((!strncasecmp(services, "e2u+tel", 7)) || 
 	    (!strncasecmp(services, "tel+e2u", 7))) {
 		strncpy(tech, "tel", techsize -1); 
-	} else if (strncasecmp(services, "e2u+voice:", 10)) {
-		ast_log(LOG_WARNING, "Services must be e2u+sip, sip+e2u, e2u+tel, tel+e2u or e2u+voice:\n");
+	} else if (!strncasecmp(services, "e2u+voice:", 10)) {
+		strncpy(tech, services+10, techsize -1); 
+	} else {
+		ast_log(LOG_WARNING, 
+		"Services must be e2u+sip, sip+e2u, e2u+h323, h323+e2u, e2u+tel, tel+e2u or e2u+voice:\n");
 		return -1;
 	}
 
@@ -268,9 +274,6 @@
 	}
 	*d = 0;
 	strncpy(dst, temp, dstsize);
-	d = strchr(services, ':');
-	if (d) 
-		strncpy(tech, d+1, techsize -1); 
 	return 0;
 }
 
Index: apps/app_enumlookup.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_enumlookup.c,v
retrieving revision 1.4
diff -u -r1.4 app_enumlookup.c
--- apps/app_enumlookup.c	15 Aug 2003 04:38:39 -0000	1.4
+++ apps/app_enumlookup.c	2 Sep 2003 13:33:31 -0000
@@ -35,11 +35,13 @@
 
 static char *descrip = 
 "  EnumLookup(exten):  Looks up an extension via ENUM and sets\n"
-"the variable 'ENUM'.  Returns -1 on hangup, or 0 on completion\n"
-"regardless of whether the lookup was successful. Currently, the\n"
-"enumservices SIP and TEL are recognized. A good SIP entry\n"
-"will result in normal priority handling, whereas a good TEL entry\n"
-"will increase the priority by 51 (if existing)\n"
+"the variable 'ENUM'. For SIP and H323 this variable will look like\n"
+"'TECHNOLOGY/URI' with the appropriate technology (SIP or OH323)\n"
+"Returns -1 on hangup, or 0 on completion regardless of whether the \n"
+"lookup was successful. \n"
+"Currently, the enumservices SIP, H323 and TEL are recognized. \n"
+"A good SIP or H323 entry will result in normal priority handling, \n"
+"whereas a good TEL entry will increase the priority by 51 (if existing).\n"
 "If the lookup was *not* successful and there exists a priority n + 101,\n"
 "then that priority will be taken next.\n" ;
 
@@ -72,6 +74,12 @@
 			if (!strncmp(c, "sip:", 4))
 				c += 4;
 			snprintf(tmp, sizeof(tmp), "SIP/%s", c);
+			pbx_builtin_setvar_helper(chan, "ENUM", tmp);
+		} else if (!strcasecmp(tech, "h323")) {
+			c = dest;
+			if (!strncmp(c, "h323:", 5))
+				c += 5;
+			snprintf(tmp, sizeof(tmp), "OH323/%s", c);
 			pbx_builtin_setvar_helper(chan, "ENUM", tmp);
 		} else if (!strcasecmp(tech, "tel")) {
 			c = dest;
